<template>
    <div>
        <v-row>
            <v-col>
                <data-table
                    v-model="items"
                    endpoint="api/warehouses/inventories/items"
                    :title="$t('warehouse_' , [$t('items')])"
                    :filters="filters"
                    :headers="headers"
                    :search-label="searchLabel"
                >
                    <template v-slot:filters="{ filters , confirmed }">
                        <warehouse-items-filters
                            :warehouses.sync="filters.warehouses"
                            @confirmed="confirmed"
                        ></warehouse-items-filters>
                    </template>

                    <template v-slot:item="{ item, index }">
                        <tr>
                            <td>{{ item.warehouse.name }}</td>
                            <td>{{ item.product.name }}</td>
                            <td>{{ item.combination }}</td>
                            <td>{{ item.sku }}</td>
                            <td>{{ item.quantity }}</td>
                        </tr>
                    </template>
                </data-table>
            </v-col>
        </v-row>
    </div>
</template>

<script>
    import DataTable from "../DataTable";
    import VStockStatusSelect from "../VStockStatusSelect";
    import util from "../../../mixins/util"
    import WarehouseItemsFilters from "../filters/WarehouseItemsFilters";

    export default {
        name: "WarehouseItems",
        components: {VStockStatusSelect, DataTable , WarehouseItemsFilters},
        mixins: [ util ],
        data: () => ({
            filters: {
                warehouses: []
            },
            items: [],
            loading: false,
        }),

        computed: {
            headers() {
                return [
                    { text: this.$t('warehouse'), value: 'warehouse', sortable: false },
                    { text: this.$t('product_', [this.$t('name')]), value: 'product_name', sortable: false },
                    { text: this.$t('variant'), value: 'variant', sortable: false },
                    { text: this.$t('sku'), value: 'sku', sortable: false },
                    { text: this.$t('quantity'), value: 'quantity' }
                ]
            },

            searchLabel() {
                return this.$t('search_using', {
                    field: this.$t('product_',[this.$t('name')])
                });
            },

            statuses() {
                return [
                    { text: this.$t('enabled'), value: 1 },
                    { text: this.$t('disabled'), value: 0 }
                ];
            }
        }
    }
</script>

<style scoped>
</style>
